<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.base.connecting</groupId>
        <artifactId>adapter</artifactId>
        <version>1.9.0</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.entaxy.esb.platform.runtime.base.connecting.adapter</groupId>
    <artifactId>adapters-core</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: ADAPTER :: ADAPTER CORE</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: ADAPTER :: ADAPTER CORE</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.api,
            ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.impl,
            ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.management,
            ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.metadata,
            ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.tracker,
            ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.util
        </bundle.osgi.export.pkg>
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Bundle-Activator>ru.entaxy.esb.platform.runtime.base.connecting.adapter.core.tracker.AdapterTrackerActivator</Bundle-Activator>
                        <_dsannotations>*</_dsannotations>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>

    <dependencies>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
            <scope>provided</scope>
		</dependency>        
        <dependency>
            <groupId>com.google.code.gson</groupId>
            <artifactId>gson</artifactId>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
            <artifactId>generator-api</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>management-core</artifactId>
            <version>${project.version}</version>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.connecting.generator</groupId>
            <artifactId>generator-factory</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
        	<groupId>org.apache.felix</groupId>
        	<artifactId>org.apache.felix.scr</artifactId>
        	<version>2.1.20</version>
        </dependency>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  		<version>1.4.0</version>
	  		<scope>compile</scope>
	  	</dependency>        
    </dependencies>

</project>
